package com.staffing.custom.domain;

import com.staffing.common.annotation.Excel;
import com.staffing.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信转账记录对象 st_transfer_record
 *
 * @author staffing
 * @date 2024-09-06
 */
public class StTransferRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private Long taskId;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    /** 转账订单号 */
    @Excel(name = "转账订单号")
    private String transferNo;

    /** 总金额 */
    @Excel(name = "总金额")
    private String countPrice;

    /** 发薪职工id */
    @Excel(name = "发薪职工id")
    private String employeeIds;

    /** 待商户确认、已受理、转账中、已完成、已关闭 */
    @Excel(name = "待商户确认、已受理、转账中、已完成、已关闭")
    private int payStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTaskId(Long taskId)
    {
        this.taskId = taskId;
    }

    public Long getTaskId()
    {
        return taskId;
    }
    public void setTaskName(String taskName)
    {
        this.taskName = taskName;
    }

    public String getTaskName()
    {
        return taskName;
    }
    public void setTransferNo(String transferNo)
    {
        this.transferNo = transferNo;
    }

    public String getTransferNo()
    {
        return transferNo;
    }
    public void setCountPrice(String countPrice)
    {
        this.countPrice = countPrice;
    }

    public String getCountPrice()
    {
        return countPrice;
    }
    public void setEmployeeIds(String employeeIds)
    {
        this.employeeIds = employeeIds;
    }

    public String getEmployeeIds()
    {
        return employeeIds;
    }
    public void setPayStatus(int payStatus)
    {
        this.payStatus = payStatus;
    }

    public int getPayStatus()
    {
        return payStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("taskId", getTaskId())
                .append("taskName", getTaskName())
                .append("transferNo", getTransferNo())
                .append("countPrice", getCountPrice())
                .append("employeeIds", getEmployeeIds())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("payStatus", getPayStatus())
                .toString();
    }
}
